/*
 * ir_tx.h
 *
 *  Created on: May 24, 2019
 *      Author: http://triode.dip.jp/honkytonk/
 *      Copyright (c) honkytonk All right reserved.
 */

#ifndef INC_IR_TX_H_
#define INC_IR_TX_H_


typedef struct _stIrBit{
		uint16_t period:15;
		uint16_t isMark:1;
}irBit;

typedef struct _stIrStream{
	int16_t repeat;
	uint16_t sendbit;
	uint32_t time;
	uint16_t size;
	irBit *bitStream;
}irStream;

#ifdef __cplusplus
extern "C" {
#endif

 irStream irBitStream;
 irBit bitStream[4+16*20+4];

 void ir_send(uint16_t irCode);
 void restartIrSend(void);
 void initIrSendTimer(void);

#ifdef __cplusplus
};
#endif

#endif /* INC_IR_TX_H_ */
